onEvent('recipes', event => {
	//melting castingbasin
    function basin(input, output, fluid, amount, time){
        event.custom(
            {
                "type": "tconstruct:casting_basin",
                "cast": {
                  "item": input
                },
                "cast_consumed": true,
                "fluid": {
                  "tag": fluid,
                  "amount": amount
                },
                "result": output,
                "cooling_time": time
            }
        )
    }
    basin('cobblefordays:tier_2', 'cobblefordays:tier_3', 'tconstruct:molten_iron', 1296, 100)
    basin('cobblefordays:tier_3', 'cobblefordays:tier_4', 'tconstruct:molten_gold', 1296, 125)
    basin('cobblefordays:tier_4', 'cobblefordays:tier_5', 'tconstruct:molten_diamond', 1296, 150)

    //blazingblood
    function blaze(input, amount, temperature, time){
        event.custom(
            {
                "type": "tconstruct:melting",
                "ingredient": {
                  "item": input
                },
                "result": {
                  "fluid": "tconstruct:blazing_blood",
                  "amount": amount
                },
                "temperature": temperature,
                "time": time
            }
        )
    }
    blaze('minecraft:blaze_rod', 30, 800, 40)
    blaze('minecraft:blaze_powder', 15, 500, 20)
    blaze('botania:blaze_block', 140, 1250, 100)
})